## RygelSerializer

RygelSerializer — Proxy class hiding the different serializers (DIDL, DIDL_S, M3U) behind a single implementation.

## Functions

GUPnPDIDLLiteItem * | rygel_serializer_add_item ()
GUPnPDIDLLiteContainer * | rygel_serializer_add_container ()
void | rygel_serializer_filter ()
gchar * | rygel_serializer_get_string ()
RygelSerializer * | rygel_serializer_new ()

## Properties

RygelSerializerType | serializer-type | Write / Construct Only

## Types and Values

#define | RYGEL_TYPE_SERIALIZER
struct | RygelSerializer
struct | RygelSerializerClass
enum | RygelSerializerType

## Object Hierarchy

        GEnum
        ╰── RygelSerializerType
        GObject
        ╰── RygelSerializer

## Description

## Functions

### rygel_serializer_add_item ()

    GUPnPDIDLLiteItem *
    rygel_serializer_add_item (RygelSerializer *self);

#### Parameters

self | the RygelSerializer instance |

### rygel_serializer_add_container ()

    GUPnPDIDLLiteContainer *
    rygel_serializer_add_container (RygelSerializer *self);

#### Parameters

self | the RygelSerializer instance |

### rygel_serializer_filter ()

    void
    rygel_serializer_filter (RygelSerializer *self,
                             const gchar *filter_string);

#### Parameters

self | the RygelSerializer instance |
filter_string |  |

### rygel_serializer_get_string ()

    gchar *
    rygel_serializer_get_string (RygelSerializer *self);

#### Parameters

self | the RygelSerializer instance |

### rygel_serializer_new ()

    RygelSerializer *
    rygel_serializer_new (RygelSerializerType type);

#### Parameters

type |  |

## Types and Values

### RYGEL_TYPE_SERIALIZER

    #define RYGEL_TYPE_SERIALIZER (rygel_serializer_get_type ())

The type for RygelSerializer.

### struct RygelSerializer

    struct RygelSerializer;

Proxy class hiding the different serializers (DIDL, DIDL_S, M3U) behind a single implementation.

### struct RygelSerializerClass

    struct RygelSerializerClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_SERIALIZER`. All the fields in this structure are private and should never be accessed directly.

#### Members

### enum RygelSerializerType

#### Members

RYGEL_SERIALIZER_TYPE_GENERIC_DIDL |  |
RYGEL_SERIALIZER_TYPE_DIDL_S |  |
RYGEL_SERIALIZER_TYPE_M3UEXT |  |

## Property Details

### The `“serializer-type”` property

      “serializer-type”          RygelSerializerType

serializer-type.

Flags: Write / Construct Only

Default value: RYGEL_SERIALIZER_TYPE_GENERIC_DIDL